.categories__modal {
    visibility: hidden;
    opacity: 0;
    transition: 0.3s ease;
    overflow: hidden;

    .modal__body {
        padding: 31px 24px;

        .category__item {
            display: flex;
            justify-content: space-between;
            align-items: center;
            // width: 280px;
            width: 230px;
            background-color: $main-0;
            border-radius: 8px;
            padding: 8px;
            cursor: pointer;
            transition: 0.3s ease;

            &:hover {
                @include boxShadow;
            }

            .category__wrapper {
                display: flex;
                align-items: center;
                grid-gap: 8px;

                .category__image {
                    width: 32px;
                    height: 32px;
                }

                .category__title {
                    @include f14w400M8;
                }

                
            }
        }

        .categories {
            display: flex;
            grid-gap: 25px;
            // position: relative;
            position: absolute;
            transition: 0.3s ease;
            
            @media (max-width: 1024px) {
                display: none;
            }

            .category__list {
                background-color: $main-1;
                display: flex;
                flex-direction: column;
                grid-gap: 8px;
                z-index: 3;
                transition: 0.3s ease;
                // width: 310px;
                width: 250px;
                overflow-y: auto;
                overflow-x: hidden;
                height: calc(100vh - 120px);
                @include scrollbarCustom;
                position: relative;
            }
        }

        .categories-view-column-2 {
            transition: 0.3s ease;

            &:hover {
                .category__list {
                    transition: 0.3s ease;
                    left: 0;

                    // &:first-child {
                    //     opacity: 0.5;
                    //     position: absolute;
                    //     width: inherit;
                    //     top: 0;
                    //     z-index: 1;
                    // }

                    &:not(:first-child) {
                        position: relative;
                        // left: 120px;
                        transition: 0.3s ease;

                        // @media (max-width: 1440px) {
                        //     left: 80px;
                        // }

                        // @media (max-width: 1280px) {
                        //     left: 60px;
                        // }
                    }

                    &:nth-child(1) {
                        @media (max-width: 1280px) {
                            width: 80px;
                            opacity: 0.5;
                            background-color: transparent;

                        }
                    }
                }
            }
        }

        .categories-view-column-3 {
            transition: 0.3s ease;

            &:hover {
                .category__list {
                    &:nth-child(1) {
                        opacity: 0.4;
                        width: 150px;
                        
                        .category__item {
                            background-color: transparent;

                            span {
                                svg {
                                    display: none;
                                }
                            }
                        }

                        @media (max-width: 1280px) {
                            width: 50px;
                        }
                    }

                    &:nth-child(2) {
                       z-index: 2;
                       @include scrollbarTransparent;
                        
                       @media (max-width: 1620px) {
                            width: 150px;
                            opacity: 0.6;

                            .category__item {
                                background-color: transparent;
    
                                span {
                                    svg {
                                        display: none;
                                    }
                                }
                            }
                       }

                    }

                    // &:nth-child(4) {
                    //     position: relative;
                    //     // left: -20px;

                    //     @media (max-width: 1440px) {
                    //         left: -130px;
                    //     }

                    //     @media (max-width: 1280px) {
                    //         left: -210px;
                    //     }
                    // }

                    // &:nth-child(5) {
                    //     position: relative;
                    //     // left: -20px;

                    //     @media (max-width: 1440px) {
                    //         left: -130px;
                    //     }

                    //     @media (max-width: 1280px) {
                    //         left: -210px;
                    //     }
                    // }

                    // &:nth-child(3) {
                    //     position: relative;
                    //     // left: -20px;

                    //     @media (max-width: 1440px) {
                    //         left: -130px;
                    //     }

                    //     @media (max-width: 1280px) {
                    //         left: -210px;
                    //     }
                    // }
                }
            }
        }

        .categories-view-column-4 {
            transition: 0.3s ease;

            &:hover {
                .category__list {
                    &:nth-child(1) {
                      
                        @media (max-width: 1440px) {
                            width: 100px;
                            opacity: 0.1;
                        }

                        @media (max-width: 1280px) {
                            width: 50px;
                        }
                    }

                    &:nth-child(2) {
                       opacity: 0.4;
                       @include scrollbarTransparent;
                       width: 150px;

                        @media (max-width: 1440px) {
                            width: 100px;
                        }

                            
                       .category__item {
                           background-color: transparent;

                           span {
                               svg {
                                   display: none;
                               }
                           }
                       }
                    }

                    &:nth-child(3) {
                        opacity: 0.7;
                        z-index: 2;
                        @include scrollbarTransparent;

                        @media (max-width: 1620px) {
                            width: 150px;
                            
                            .category__item {
                                background-color: transparent;
     
                                span {
                                    svg {
                                        display: none;
                                    }
                                }
                            }
                        }

                        @media (max-width: 1280px) {
                            width: 100px;
                        }
                    }

                    // &:nth-child(4) {
                    //     position: relative;
                    //     // left: -200px;

                    //     @media (max-width: 1440px) {
                    //         left: -360px;
                    //     }

                    //     @media (max-width: 1280px) {
                    //         left: -400px;
                    //     }
                    // }

                    // &:nth-child(5) {
                    //     position: relative;
                    //     // left: -200px;

                    //     @media (max-width: 1440px) {
                    //         left: -360px;
                    //     }

                    //     @media (max-width: 1280px) {
                    //         left: -400px;
                    //     }
                    // }
                }
            }
        }

        // .categories-view-column-5 {
        //     &:hover {
        //         .category__list {

        //             // &:nth-child(4) {
        //             //     @media (max-width: 1280px) {
        //             //         opacity: 0.7;
        //             //     }
        //             // }

        //             // &:nth-child(5) {
        //             //     @media (max-width: 1280px) {
        //             //         left: -610px;
        //             //     }
        //             // }
        //         }
        //     }
        // } 

        .categories-view-column-5 {
            &:hover {
                .category__list {
                    &:nth-child(4) {
                        @include scrollbarTransparent;
                        
                        @media (max-width: 1620px) {
                            opacity: 0.7;
                            width: 170px;

                            .category__item {
                                
                                span {
                                    svg {
                                        display: none;
                                    }
                                }
                            }
                        }

                        @media (max-width: 1280px) {
                            width: 80px;

                            .category__item {
                                background-color: transparent;
                            }
                        }
                    }

                    &:nth-child(3) {
                        @media (max-width: 1440px) {
                            width: 100px;
                        }
                    }

                    &:nth-child(1) {
                        @media (max-width: 1440px) {
                            width: 50px;
                        }
                    }
                }
            }
        }

        .categories-mobile {
            display: none;

            @media (max-width: 1024px) {
                display: flex;
                
            }

            .categories-mobile__block {
                width: 100%;

                .categories-mobile__wrapper {
                    width: 100%;
                    display: none;
    
                    .categories-mobile__list {
                        width: 100%;
                        border-radius: 8px;
                        border: 1px solid $main-4;
                        overflow: hidden;
        
                        .category__item {
                            border-radius: 0;
                            width: 100%;
                            height: 50px;
        
                            &:not(:last-child) {
                                border-bottom: 1px solid $main-4;
                            }
                        }
                    }
                }

                .categories-1 {
                    display: block;
                }
            }
        }
    }
}

.categories__modal.active {
    visibility: visible;
    opacity: 1;
    top: 0;
}



